Get User Org Roles
Use these APIs instead:
- /oidc/userinfo
- /cloudapi/1.0.0/roles
Access Policy
| Role | Access |
|---|---|
| Platform operator | ✔️ |
| Organization Owner | ✔️ |
| Organization Member | ✔️ |
| Service Account (Whitelisted Client) | ✔️ |
Request
URI
GET
https://vra-interop-222-139.lvn.broadcom.net/csp/gateway/am/api/loggedin/user/orgs/{orgId}/roles
COPY
Path Parameters
string
orgId
Required
orgId
Responses
200
OK
[
{
"refLink": "string",
"name": "string",
"displayName": "string",
"organizationLink": "string",
"visible": false,
"orgId": "string",
"expiresAt": 0,
"resource": "string",
"id": "string"
}
]
401
The user is not authorized to use the API.
[
"RoleResponse Object"
]
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/csp/gateway/am/api/loggedin/user/orgs/{orgId}/roles
Deprecated
Principal User Controller Operations
PUT
Update User Preferences
Deprecated
GET
Get Principal User Profile
Deprecated
PATCH
Update User Profile
Deprecated
GET
Get User Orgs
Deprecated
GET
Get Logged In User
Deprecated
GET
Get User Org Service Roles
Deprecated
GET
Get User Org Roles
Deprecated
GET
Get User Org Info
Deprecated
GET
Get Logged In User Groups On Org
Deprecated
GET
Get Logged In User Details
Deprecated
GET
Get User Default Org
Deprecated